# Generated by Django 2.2 on 2019-05-21 17:04

import django.core.validators
from django.db import migrations, models
import edc_model.validators.date
import edc_model_fields.fields.date_estimated


class Migration(migrations.Migration):

    dependencies = [("ambition_subject", "0053_auto_20190521_1846")]

    operations = [
        migrations.AlterField(
            model_name="historicalpatienthistory",
            name="current_arv_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="If YES, when was their <u>current or most recent</u> ART regimen started?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalpatienthistory",
            name="current_arv_date_estimated",
            field=edc_model_fields.fields.date_estimated.IsDateEstimatedFieldNa(
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="N/A",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                verbose_name="If YES, is this ART date estimated?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalpatienthistory",
            name="current_arv_defaulted_date_estimated",
            field=edc_model_fields.fields.date_estimated.IsDateEstimatedFieldNa(
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="N/A",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                verbose_name="If DEFAULTED, is this date estimated?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalpatienthistory",
            name="current_arv_is_adherent",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=5,
                verbose_name="If the patient is currently on ART, are they ADHERENT to their <u>current</u> ART regimen?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalpatienthistory",
            name="current_arv_tablets_missed",
            field=models.IntegerField(
                blank=True,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(31),
                ],
                verbose_name="If not ADHERENT, how many doses missed in the last month?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalpatienthistory",
            name="initial_arv_date_estimated",
            field=edc_model_fields.fields.date_estimated.IsDateEstimatedFieldNa(
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="N/A",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                verbose_name="If YES, is this ART date estimated?",
            ),
        ),
        migrations.AlterField(
            model_name="patienthistory",
            name="current_arv_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="If YES, when was their <u>current or most recent</u> ART regimen started?",
            ),
        ),
        migrations.AlterField(
            model_name="patienthistory",
            name="current_arv_date_estimated",
            field=edc_model_fields.fields.date_estimated.IsDateEstimatedFieldNa(
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="N/A",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                verbose_name="If YES, is this ART date estimated?",
            ),
        ),
        migrations.AlterField(
            model_name="patienthistory",
            name="current_arv_defaulted_date_estimated",
            field=edc_model_fields.fields.date_estimated.IsDateEstimatedFieldNa(
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="N/A",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                verbose_name="If DEFAULTED, is this date estimated?",
            ),
        ),
        migrations.AlterField(
            model_name="patienthistory",
            name="current_arv_is_adherent",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=5,
                verbose_name="If the patient is currently on ART, are they ADHERENT to their <u>current</u> ART regimen?",
            ),
        ),
        migrations.AlterField(
            model_name="patienthistory",
            name="current_arv_regimen",
            field=models.ManyToManyField(
                related_name="current_arv",
                to="ambition_lists.ArvRegimens",
                verbose_name="If YES, what is their current or most recent ART regimen?",
            ),
        ),
        migrations.AlterField(
            model_name="patienthistory",
            name="current_arv_tablets_missed",
            field=models.IntegerField(
                blank=True,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(31),
                ],
                verbose_name="If not ADHERENT, how many doses missed in the last month?",
            ),
        ),
        migrations.AlterField(
            model_name="patienthistory",
            name="initial_arv_date_estimated",
            field=edc_model_fields.fields.date_estimated.IsDateEstimatedFieldNa(
                choices=[
                    ("N/A", "Not applicable"),
                    ("not_estimated", "No."),
                    ("D", "Yes, estimated the Day"),
                    ("MD", "Yes, estimated Month and Day"),
                    ("YMD", "Yes, estimated Year, Month and Day"),
                ],
                default="N/A",
                help_text="If the exact date is not known, please indicate which part of the date is estimated.",
                max_length=25,
                verbose_name="If YES, is this ART date estimated?",
            ),
        ),
        migrations.AlterField(
            model_name="patienthistory",
            name="initial_arv_regimen",
            field=models.ManyToManyField(
                related_name="initial_arv",
                to="ambition_lists.ArvRegimens",
                verbose_name="If YES, which drugs were prescribed for their first ART regimen?",
            ),
        ),
    ]
