# Generated by Django 2.2 on 2019-05-22 23:46

from django.db import migrations, models
import django.utils.timezone
import edc_model.validators.date
import edc_protocol.validators


class Migration(migrations.Migration):

    dependencies = [("ambition_subject", "0054_auto_20190521_1904")]

    operations = [
        migrations.AlterField(
            model_name="historicalpatienthistory",
            name="first_arv_regimen",
            field=models.CharField(
                choices=[
                    ("N/A", "Not applicable"),
                    (
                        "TDF_3TC_FTC_with_EFV_or_NVP",
                        "TDF + 3TC/FTC + either EFV or NVP or DTG",
                    ),
                    (
                        "AZT_3TC_with_EFV_NVP_or_DTG",
                        "AZT+3TC+ either EFV or NVP or DTG",
                    ),
                    ("OTHER", "Other"),
                    ("QUESTION_RETIRED", "QUESTION_RETIRED"),
                ],
                default="QUESTION_RETIRED",
                editable=False,
                max_length=50,
                verbose_name="If YES, which drugs were prescribed for their first ART regimen?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalpatienthistory",
            name="first_line_choice",
            field=models.CharField(
                choices=[
                    ("N/A", "Not applicable"),
                    ("EFV", "EFV"),
                    ("DTG", "DTG"),
                    ("NVP", "NVP"),
                    ("OTHER", "Other"),
                    ("QUESTION_RETIRED", "QUESTION_RETIRED"),
                ],
                default="QUESTION_RETIRED",
                editable=False,
                max_length=5,
                verbose_name="If first line:",
            ),
        ),
        migrations.AlterField(
            model_name="historicalpatienthistory",
            name="patient_adherence",
            field=models.CharField(
                choices=[
                    ("Yes", "Yes"),
                    ("No", "No"),
                    ("N/A", "Not applicable"),
                    ("QUESTION_RETIRED", "QUESTION_RETIRED"),
                ],
                default="QUESTION_RETIRED",
                editable=False,
                max_length=25,
                verbose_name="Is the patient reportedly adherent?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectrequisition",
            name="drawn_datetime",
            field=models.DateTimeField(
                blank=True,
                help_text="If not drawn, leave blank.",
                null=True,
                validators=[
                    edc_protocol.validators.datetime_not_before_study_start,
                    edc_model.validators.date.datetime_not_future,
                ],
                verbose_name="Date / Time Specimen Drawn",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectrequisition",
            name="requisition_datetime",
            field=models.DateTimeField(
                default=django.utils.timezone.now,
                validators=[
                    edc_protocol.validators.datetime_not_before_study_start,
                    edc_model.validators.date.datetime_not_future,
                ],
                verbose_name="Requisition Date",
            ),
        ),
        migrations.AlterField(
            model_name="patienthistory",
            name="first_arv_regimen",
            field=models.CharField(
                choices=[
                    ("N/A", "Not applicable"),
                    (
                        "TDF_3TC_FTC_with_EFV_or_NVP",
                        "TDF + 3TC/FTC + either EFV or NVP or DTG",
                    ),
                    (
                        "AZT_3TC_with_EFV_NVP_or_DTG",
                        "AZT+3TC+ either EFV or NVP or DTG",
                    ),
                    ("OTHER", "Other"),
                    ("QUESTION_RETIRED", "QUESTION_RETIRED"),
                ],
                default="QUESTION_RETIRED",
                editable=False,
                max_length=50,
                verbose_name="If YES, which drugs were prescribed for their first ART regimen?",
            ),
        ),
        migrations.AlterField(
            model_name="patienthistory",
            name="first_line_choice",
            field=models.CharField(
                choices=[
                    ("N/A", "Not applicable"),
                    ("EFV", "EFV"),
                    ("DTG", "DTG"),
                    ("NVP", "NVP"),
                    ("OTHER", "Other"),
                    ("QUESTION_RETIRED", "QUESTION_RETIRED"),
                ],
                default="QUESTION_RETIRED",
                editable=False,
                max_length=5,
                verbose_name="If first line:",
            ),
        ),
        migrations.AlterField(
            model_name="patienthistory",
            name="patient_adherence",
            field=models.CharField(
                choices=[
                    ("Yes", "Yes"),
                    ("No", "No"),
                    ("N/A", "Not applicable"),
                    ("QUESTION_RETIRED", "QUESTION_RETIRED"),
                ],
                default="QUESTION_RETIRED",
                editable=False,
                max_length=25,
                verbose_name="Is the patient reportedly adherent?",
            ),
        ),
        migrations.AlterField(
            model_name="subjectrequisition",
            name="drawn_datetime",
            field=models.DateTimeField(
                blank=True,
                help_text="If not drawn, leave blank.",
                null=True,
                validators=[
                    edc_protocol.validators.datetime_not_before_study_start,
                    edc_model.validators.date.datetime_not_future,
                ],
                verbose_name="Date / Time Specimen Drawn",
            ),
        ),
        migrations.AlterField(
            model_name="subjectrequisition",
            name="requisition_datetime",
            field=models.DateTimeField(
                default=django.utils.timezone.now,
                validators=[
                    edc_protocol.validators.datetime_not_before_study_start,
                    edc_model.validators.date.datetime_not_future,
                ],
                verbose_name="Requisition Date",
            ),
        ),
    ]
