# Generated by Django 2.2.2 on 2019-08-08 20:09

import django.core.validators
from django.db import migrations, models
import edc_model.validators.date


class Migration(migrations.Migration):

    dependencies = [("ambition_subject", "0065_auto_20190808_0409")]

    operations = [
        migrations.AlterField(
            model_name="historicalweek2",
            name="ambi_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Ambisome treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="ambi_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Ambisome start date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="ambi_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Ambisome end date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="ampho_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Amphotericin B start date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="ampho_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Amphotericin B end date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="amphotericin_missed_doses",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=25,
                verbose_name="Were any Amphotericin B drug doses missed",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="antibiotic_other",
            field=models.TextField(
                blank=True,
                null=True,
                verbose_name="If other antibiotics, please specify",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="died",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=25,
                verbose_name="Died",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="discharged",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=25,
                verbose_name="Discharged",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="drug_intervention_other",
            field=models.TextField(
                blank=True, null=True, verbose_name="If other, please specify"
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="flucon_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Fluconazole treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="flucon_missed_doses",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=25,
                verbose_name="Were any Fluconazole drug doses missed",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="flucon_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Fluconazole start date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="flucon_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Fluconazole end date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="flucy_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Flucytosine treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="flucy_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Flucytosine start date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="flucy_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Flucytosine end date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="medicine_other",
            field=models.TextField(
                blank=True, null=True, verbose_name="If other, please specify"
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="other_significant_dx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=5,
                verbose_name="Other significant diagnosis since enrollment",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="research_discharge_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="On which date did the research team feel the patient was well enough to go home",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="significant_dx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=25,
                verbose_name="Other significant diagnoses since enrolment",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="units",
            field=models.IntegerField(
                blank=True,
                null=True,
                validators=[django.core.validators.MinValueValidator(1)],
                verbose_name="If YES, number of units",
            ),
        ),
        migrations.AlterField(
            model_name="historicalweek2",
            name="weight",
            field=models.DecimalField(
                decimal_places=1,
                help_text="kg",
                max_digits=4,
                validators=[
                    django.core.validators.MinValueValidator(20),
                    django.core.validators.MaxValueValidator(150),
                ],
                verbose_name="Weight",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="ambi_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Ambisome treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="ambi_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Ambisome start date",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="ambi_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Ambisome end date",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="ampho_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Amphotericin B start date",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="ampho_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Amphotericin B end date",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="amphotericin_missed_doses",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=25,
                verbose_name="Were any Amphotericin B drug doses missed",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="antibiotic_other",
            field=models.TextField(
                blank=True,
                null=True,
                verbose_name="If other antibiotics, please specify",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="died",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=25,
                verbose_name="Died",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="discharged",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=25,
                verbose_name="Discharged",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="drug_intervention_other",
            field=models.TextField(
                blank=True, null=True, verbose_name="If other, please specify"
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="flucon_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Fluconazole treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="flucon_missed_doses",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=25,
                verbose_name="Were any Fluconazole drug doses missed",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="flucon_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Fluconazole start date",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="flucon_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Fluconazole end date",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="flucy_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Flucytosine treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="flucy_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Flucytosine start date",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="flucy_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Flucytosine end date",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="medicine_other",
            field=models.TextField(
                blank=True, null=True, verbose_name="If other, please specify"
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="medicines",
            field=models.ManyToManyField(
                to="ambition_lists.Day14Medication", verbose_name="Medicine day 14"
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="other_significant_dx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=5,
                verbose_name="Other significant diagnosis since enrollment",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="research_discharge_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="On which date did the research team feel the patient was well enough to go home",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="significant_dx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=25,
                verbose_name="Other significant diagnoses since enrolment",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="units",
            field=models.IntegerField(
                blank=True,
                null=True,
                validators=[django.core.validators.MinValueValidator(1)],
                verbose_name="If YES, number of units",
            ),
        ),
        migrations.AlterField(
            model_name="week2",
            name="weight",
            field=models.DecimalField(
                decimal_places=1,
                help_text="kg",
                max_digits=4,
                validators=[
                    django.core.validators.MinValueValidator(20),
                    django.core.validators.MaxValueValidator(150),
                ],
                verbose_name="Weight",
            ),
        ),
    ]
